# API reference
Source: https://www.desktopaccountingapi.com/docs/api/reference/

REST API for QuickBooks Desktop through the QuickBooks Web Connector.

OpenAPI 3.1 document: https://www.desktopaccountingapi.com/docs/openapi.json

## Platform

### End users

- [List end users](https://www.desktopaccountingapi.com/docs/api/reference/operations/enduserslist.md): `GET /v1/end-users`
- [Create an end user](https://www.desktopaccountingapi.com/docs/api/reference/operations/enduserscreate.md): `POST /v1/end-users`
- [Retrieve an end user](https://www.desktopaccountingapi.com/docs/api/reference/operations/endusersretrieve.md): `GET /v1/end-users/{id}`
- [Update an end user](https://www.desktopaccountingapi.com/docs/api/reference/operations/endusersupdate.md): `POST /v1/end-users/{id}`
- [Delete an end user](https://www.desktopaccountingapi.com/docs/api/reference/operations/endusersdelete.md): `DELETE /v1/end-users/{id}`
- [Reset the company file](https://www.desktopaccountingapi.com/docs/api/reference/operations/endusersresetcompanyfile.md): `POST /v1/end-users/{id}/reset-company-file`

### Auth sessions

- [Create an auth session](https://www.desktopaccountingapi.com/docs/api/reference/operations/authsessionscreate.md): `POST /v1/auth-sessions`

### Requests

- [List requests](https://www.desktopaccountingapi.com/docs/api/reference/operations/requestslist.md): `GET /v1/requests`
- [Retrieve a request](https://www.desktopaccountingapi.com/docs/api/reference/operations/requestsretrieve.md): `GET /v1/requests/{id}`
- [Cancel a request](https://www.desktopaccountingapi.com/docs/api/reference/operations/requestscancel.md): `POST /v1/requests/{id}/cancel`

### Webhooks

- [List webhook endpoints](https://www.desktopaccountingapi.com/docs/api/reference/operations/webhookendpointslist.md): `GET /v1/webhook-endpoints`
- [Create a webhook endpoint](https://www.desktopaccountingapi.com/docs/api/reference/operations/webhookendpointscreate.md): `POST /v1/webhook-endpoints`
- [Retrieve a webhook endpoint](https://www.desktopaccountingapi.com/docs/api/reference/operations/webhookendpointsretrieve.md): `GET /v1/webhook-endpoints/{id}`
- [Update a webhook endpoint](https://www.desktopaccountingapi.com/docs/api/reference/operations/webhookendpointsupdate.md): `POST /v1/webhook-endpoints/{id}`
- [Delete a webhook endpoint](https://www.desktopaccountingapi.com/docs/api/reference/operations/webhookendpointsdelete.md): `DELETE /v1/webhook-endpoints/{id}`
- [Rotate the signing secret](https://www.desktopaccountingapi.com/docs/api/reference/operations/webhookendpointsrotatesecret.md): `POST /v1/webhook-endpoints/{id}/rotate-secret`
- [Send a test event](https://www.desktopaccountingapi.com/docs/api/reference/operations/webhookendpointssendtestevent.md): `POST /v1/webhook-endpoints/{id}/test`
- [List deliveries](https://www.desktopaccountingapi.com/docs/api/reference/operations/webhookendpointslistdeliveries.md): `GET /v1/webhook-endpoints/{id}/deliveries`
- [Resend a delivery](https://www.desktopaccountingapi.com/docs/api/reference/operations/webhookendpointsresenddelivery.md): `POST /v1/webhook-endpoints/{id}/deliveries/{deliveryId}/resend`

### Health check

- [Check the QuickBooks Desktop connection](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdhealthcheck.md): `GET /v1/quickbooks-desktop/health-check`

### Passthrough

- [Send a raw qbXML request](https://www.desktopaccountingapi.com/docs/api/reference/operations/enduserspassthrough.md): `POST /v1/end-users/{id}/passthrough/{integrationSlug}`

## Transactions

### Bill check payments

- [List bill check payments](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillcheckpaymentslist.md): `GET /v1/quickbooks-desktop/bill-check-payments`
- [Create a bill check payment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillcheckpaymentscreate.md): `POST /v1/quickbooks-desktop/bill-check-payments`
- [Retrieve a bill check payment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillcheckpaymentsretrieve.md): `GET /v1/quickbooks-desktop/bill-check-payments/{id}`
- [Update a bill check payment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillcheckpaymentsupdate.md): `POST /v1/quickbooks-desktop/bill-check-payments/{id}`
- [Delete a bill check payment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillcheckpaymentsdelete.md): `DELETE /v1/quickbooks-desktop/bill-check-payments/{id}`
- [Void a bill check payment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillcheckpaymentsvoid.md): `POST /v1/quickbooks-desktop/bill-check-payments/{id}/void`

### Bill credit card payments

- [List bill credit card payments](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillcreditcardpaymentslist.md): `GET /v1/quickbooks-desktop/bill-credit-card-payments`
- [Create a bill credit card payment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillcreditcardpaymentscreate.md): `POST /v1/quickbooks-desktop/bill-credit-card-payments`
- [Retrieve a bill credit card payment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillcreditcardpaymentsretrieve.md): `GET /v1/quickbooks-desktop/bill-credit-card-payments/{id}`
- [Delete a bill credit card payment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillcreditcardpaymentsdelete.md): `DELETE /v1/quickbooks-desktop/bill-credit-card-payments/{id}`
- [Void a bill credit card payment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillcreditcardpaymentsvoid.md): `POST /v1/quickbooks-desktop/bill-credit-card-payments/{id}/void`

### Bills

- [List bills](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillslist.md): `GET /v1/quickbooks-desktop/bills`
- [Create a bill](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillscreate.md): `POST /v1/quickbooks-desktop/bills`
- [Retrieve a bill](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillsretrieve.md): `GET /v1/quickbooks-desktop/bills/{id}`
- [Update a bill](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillsupdate.md): `POST /v1/quickbooks-desktop/bills/{id}`
- [Delete a bill](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillsdelete.md): `DELETE /v1/quickbooks-desktop/bills/{id}`
- [Void a bill](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillsvoid.md): `POST /v1/quickbooks-desktop/bills/{id}/void`

### Bills to pay

- [List bill to pays](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillstopaylist.md): `GET /v1/quickbooks-desktop/bills-to-pay`

### Build assemblies

- [List build assemblies](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbuildassemblieslist.md): `GET /v1/quickbooks-desktop/build-assemblies`
- [Create a build assembly](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbuildassembliescreate.md): `POST /v1/quickbooks-desktop/build-assemblies`
- [Retrieve a build assembly](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbuildassembliesretrieve.md): `GET /v1/quickbooks-desktop/build-assemblies/{id}`
- [Update a build assembly](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbuildassembliesupdate.md): `POST /v1/quickbooks-desktop/build-assemblies/{id}`
- [Delete a build assembly](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbuildassembliesdelete.md): `DELETE /v1/quickbooks-desktop/build-assemblies/{id}`

### Checks

- [List checks](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcheckslist.md): `GET /v1/quickbooks-desktop/checks`
- [Create a check](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcheckscreate.md): `POST /v1/quickbooks-desktop/checks`
- [Retrieve a check](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdchecksretrieve.md): `GET /v1/quickbooks-desktop/checks/{id}`
- [Update a check](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdchecksupdate.md): `POST /v1/quickbooks-desktop/checks/{id}`
- [Delete a check](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdchecksdelete.md): `DELETE /v1/quickbooks-desktop/checks/{id}`
- [Void a check](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdchecksvoid.md): `POST /v1/quickbooks-desktop/checks/{id}/void`

### Credit card charges

- [List credit card charges](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardchargeslist.md): `GET /v1/quickbooks-desktop/credit-card-charges`
- [Create a credit card charge](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardchargescreate.md): `POST /v1/quickbooks-desktop/credit-card-charges`
- [Retrieve a credit card charge](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardchargesretrieve.md): `GET /v1/quickbooks-desktop/credit-card-charges/{id}`
- [Update a credit card charge](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardchargesupdate.md): `POST /v1/quickbooks-desktop/credit-card-charges/{id}`
- [Delete a credit card charge](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardchargesdelete.md): `DELETE /v1/quickbooks-desktop/credit-card-charges/{id}`
- [Void a credit card charge](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardchargesvoid.md): `POST /v1/quickbooks-desktop/credit-card-charges/{id}/void`

### Credit card credits

- [List credit card credits](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardcreditslist.md): `GET /v1/quickbooks-desktop/credit-card-credits`
- [Create a credit card credit](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardcreditscreate.md): `POST /v1/quickbooks-desktop/credit-card-credits`
- [Retrieve a credit card credit](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardcreditsretrieve.md): `GET /v1/quickbooks-desktop/credit-card-credits/{id}`
- [Update a credit card credit](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardcreditsupdate.md): `POST /v1/quickbooks-desktop/credit-card-credits/{id}`
- [Delete a credit card credit](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardcreditsdelete.md): `DELETE /v1/quickbooks-desktop/credit-card-credits/{id}`
- [Void a credit card credit](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardcreditsvoid.md): `POST /v1/quickbooks-desktop/credit-card-credits/{id}/void`

### Credit card refunds

- [List credit card refunds](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardrefundslist.md): `GET /v1/quickbooks-desktop/credit-card-refunds`
- [Create a credit card refund](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardrefundscreate.md): `POST /v1/quickbooks-desktop/credit-card-refunds`
- [Retrieve a credit card refund](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardrefundsretrieve.md): `GET /v1/quickbooks-desktop/credit-card-refunds/{id}`
- [Delete a credit card refund](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardrefundsdelete.md): `DELETE /v1/quickbooks-desktop/credit-card-refunds/{id}`
- [Void a credit card refund](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditcardrefundsvoid.md): `POST /v1/quickbooks-desktop/credit-card-refunds/{id}/void`

### Credit memos

- [List credit memos](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditmemoslist.md): `GET /v1/quickbooks-desktop/credit-memos`
- [Create a credit memo](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditmemoscreate.md): `POST /v1/quickbooks-desktop/credit-memos`
- [Retrieve a credit memo](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditmemosretrieve.md): `GET /v1/quickbooks-desktop/credit-memos/{id}`
- [Update a credit memo](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditmemosupdate.md): `POST /v1/quickbooks-desktop/credit-memos/{id}`
- [Delete a credit memo](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditmemosdelete.md): `DELETE /v1/quickbooks-desktop/credit-memos/{id}`
- [Void a credit memo](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcreditmemosvoid.md): `POST /v1/quickbooks-desktop/credit-memos/{id}/void`

### Deleted transactions

- [List deleted transactions](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbddeletedtransactionslist.md): `GET /v1/quickbooks-desktop/deleted-transactions`

### Deposits

- [List deposits](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbddepositslist.md): `GET /v1/quickbooks-desktop/deposits`
- [Create a deposit](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbddepositscreate.md): `POST /v1/quickbooks-desktop/deposits`
- [Retrieve a deposit](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbddepositsretrieve.md): `GET /v1/quickbooks-desktop/deposits/{id}`
- [Update a deposit](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbddepositsupdate.md): `POST /v1/quickbooks-desktop/deposits/{id}`
- [Delete a deposit](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbddepositsdelete.md): `DELETE /v1/quickbooks-desktop/deposits/{id}`
- [Void a deposit](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbddepositsvoid.md): `POST /v1/quickbooks-desktop/deposits/{id}/void`

### Estimates

- [List estimates](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdestimateslist.md): `GET /v1/quickbooks-desktop/estimates`
- [Create an estimate](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdestimatescreate.md): `POST /v1/quickbooks-desktop/estimates`
- [Retrieve an estimate](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdestimatesretrieve.md): `GET /v1/quickbooks-desktop/estimates/{id}`
- [Update an estimate](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdestimatesupdate.md): `POST /v1/quickbooks-desktop/estimates/{id}`
- [Delete an estimate](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdestimatesdelete.md): `DELETE /v1/quickbooks-desktop/estimates/{id}`

### Inventory adjustments

- [List inventory adjustments](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventoryadjustmentslist.md): `GET /v1/quickbooks-desktop/inventory-adjustments`
- [Create an inventory adjustment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventoryadjustmentscreate.md): `POST /v1/quickbooks-desktop/inventory-adjustments`
- [Retrieve an inventory adjustment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventoryadjustmentsretrieve.md): `GET /v1/quickbooks-desktop/inventory-adjustments/{id}`
- [Update an inventory adjustment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventoryadjustmentsupdate.md): `POST /v1/quickbooks-desktop/inventory-adjustments/{id}`
- [Delete an inventory adjustment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventoryadjustmentsdelete.md): `DELETE /v1/quickbooks-desktop/inventory-adjustments/{id}`
- [Void an inventory adjustment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventoryadjustmentsvoid.md): `POST /v1/quickbooks-desktop/inventory-adjustments/{id}/void`

### Invoices

- [List invoices](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinvoiceslist.md): `GET /v1/quickbooks-desktop/invoices`
- [Create an invoice](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinvoicescreate.md): `POST /v1/quickbooks-desktop/invoices`
- [Retrieve an invoice](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinvoicesretrieve.md): `GET /v1/quickbooks-desktop/invoices/{id}`
- [Update an invoice](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinvoicesupdate.md): `POST /v1/quickbooks-desktop/invoices/{id}`
- [Delete an invoice](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinvoicesdelete.md): `DELETE /v1/quickbooks-desktop/invoices/{id}`
- [Void an invoice](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinvoicesvoid.md): `POST /v1/quickbooks-desktop/invoices/{id}/void`

### Item receipts

- [List item receipts](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbditemreceiptslist.md): `GET /v1/quickbooks-desktop/item-receipts`
- [Create an item receipt](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbditemreceiptscreate.md): `POST /v1/quickbooks-desktop/item-receipts`
- [Retrieve an item receipt](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbditemreceiptsretrieve.md): `GET /v1/quickbooks-desktop/item-receipts/{id}`
- [Update an item receipt](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbditemreceiptsupdate.md): `POST /v1/quickbooks-desktop/item-receipts/{id}`
- [Delete an item receipt](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbditemreceiptsdelete.md): `DELETE /v1/quickbooks-desktop/item-receipts/{id}`
- [Void an item receipt](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbditemreceiptsvoid.md): `POST /v1/quickbooks-desktop/item-receipts/{id}/void`

### Journal entries

- [List journal entries](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdjournalentrieslist.md): `GET /v1/quickbooks-desktop/journal-entries`
- [Create a journal entry](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdjournalentriescreate.md): `POST /v1/quickbooks-desktop/journal-entries`
- [Retrieve a journal entry](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdjournalentriesretrieve.md): `GET /v1/quickbooks-desktop/journal-entries/{id}`
- [Update a journal entry](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdjournalentriesupdate.md): `POST /v1/quickbooks-desktop/journal-entries/{id}`
- [Delete a journal entry](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdjournalentriesdelete.md): `DELETE /v1/quickbooks-desktop/journal-entries/{id}`
- [Void a journal entry](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdjournalentriesvoid.md): `POST /v1/quickbooks-desktop/journal-entries/{id}/void`

### Payments to deposit

- [List payment to deposits](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpaymentstodepositlist.md): `GET /v1/quickbooks-desktop/payments-to-deposit`

### Purchase orders

- [List purchase orders](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpurchaseorderslist.md): `GET /v1/quickbooks-desktop/purchase-orders`
- [Create a purchase order](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpurchaseorderscreate.md): `POST /v1/quickbooks-desktop/purchase-orders`
- [Retrieve a purchase order](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpurchaseordersretrieve.md): `GET /v1/quickbooks-desktop/purchase-orders/{id}`
- [Update a purchase order](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpurchaseordersupdate.md): `POST /v1/quickbooks-desktop/purchase-orders/{id}`
- [Delete a purchase order](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpurchaseordersdelete.md): `DELETE /v1/quickbooks-desktop/purchase-orders/{id}`

### Receive payments

- [List received payments](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdreceivepaymentslist.md): `GET /v1/quickbooks-desktop/receive-payments`
- [Create a received payment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdreceivepaymentscreate.md): `POST /v1/quickbooks-desktop/receive-payments`
- [Retrieve a received payment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdreceivepaymentsretrieve.md): `GET /v1/quickbooks-desktop/receive-payments/{id}`
- [Update a received payment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdreceivepaymentsupdate.md): `POST /v1/quickbooks-desktop/receive-payments/{id}`
- [Delete a received payment](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdreceivepaymentsdelete.md): `DELETE /v1/quickbooks-desktop/receive-payments/{id}`

### Sales orders

- [List sales orders](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalesorderslist.md): `GET /v1/quickbooks-desktop/sales-orders`
- [Create a sales order](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalesorderscreate.md): `POST /v1/quickbooks-desktop/sales-orders`
- [Retrieve a sales order](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalesordersretrieve.md): `GET /v1/quickbooks-desktop/sales-orders/{id}`
- [Update a sales order](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalesordersupdate.md): `POST /v1/quickbooks-desktop/sales-orders/{id}`
- [Delete a sales order](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalesordersdelete.md): `DELETE /v1/quickbooks-desktop/sales-orders/{id}`

### Sales receipts

- [List sales receipts](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalesreceiptslist.md): `GET /v1/quickbooks-desktop/sales-receipts`
- [Create a sales receipt](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalesreceiptscreate.md): `POST /v1/quickbooks-desktop/sales-receipts`
- [Retrieve a sales receipt](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalesreceiptsretrieve.md): `GET /v1/quickbooks-desktop/sales-receipts/{id}`
- [Update a sales receipt](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalesreceiptsupdate.md): `POST /v1/quickbooks-desktop/sales-receipts/{id}`
- [Delete a sales receipt](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalesreceiptsdelete.md): `DELETE /v1/quickbooks-desktop/sales-receipts/{id}`
- [Void a sales receipt](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalesreceiptsvoid.md): `POST /v1/quickbooks-desktop/sales-receipts/{id}/void`

### Sales tax payment checks

- [List sales tax payment checks](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxpaymentcheckslist.md): `GET /v1/quickbooks-desktop/sales-tax-payment-checks`
- [Create a sales tax payment check](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxpaymentcheckscreate.md): `POST /v1/quickbooks-desktop/sales-tax-payment-checks`
- [Retrieve a sales tax payment check](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxpaymentchecksretrieve.md): `GET /v1/quickbooks-desktop/sales-tax-payment-checks/{id}`
- [Update a sales tax payment check](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxpaymentchecksupdate.md): `POST /v1/quickbooks-desktop/sales-tax-payment-checks/{id}`
- [Delete a sales tax payment check](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxpaymentchecksdelete.md): `DELETE /v1/quickbooks-desktop/sales-tax-payment-checks/{id}`

### Time tracking activities

- [List time tracking activities](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdtimetrackingactivitieslist.md): `GET /v1/quickbooks-desktop/time-tracking-activities`
- [Create a time tracking activity](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdtimetrackingactivitiescreate.md): `POST /v1/quickbooks-desktop/time-tracking-activities`
- [Retrieve a time tracking activity](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdtimetrackingactivitiesretrieve.md): `GET /v1/quickbooks-desktop/time-tracking-activities/{id}`
- [Update a time tracking activity](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdtimetrackingactivitiesupdate.md): `POST /v1/quickbooks-desktop/time-tracking-activities/{id}`
- [Delete a time tracking activity](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdtimetrackingactivitiesdelete.md): `DELETE /v1/quickbooks-desktop/time-tracking-activities/{id}`

### Transactions

- [List transactions](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdtransactionslist.md): `GET /v1/quickbooks-desktop/transactions`
- [Retrieve a transaction](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdtransactionsretrieve.md): `GET /v1/quickbooks-desktop/transactions/{id}`

### Transfers

- [List transfers](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdtransferslist.md): `GET /v1/quickbooks-desktop/transfers`
- [Create a transfer](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdtransferscreate.md): `POST /v1/quickbooks-desktop/transfers`
- [Retrieve a transfer](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdtransfersretrieve.md): `GET /v1/quickbooks-desktop/transfers/{id}`
- [Update a transfer](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdtransfersupdate.md): `POST /v1/quickbooks-desktop/transfers/{id}`

### Vendor credits

- [List vendor credits](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdvendorcreditslist.md): `GET /v1/quickbooks-desktop/vendor-credits`
- [Create a vendor credit](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdvendorcreditscreate.md): `POST /v1/quickbooks-desktop/vendor-credits`
- [Retrieve a vendor credit](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdvendorcreditsretrieve.md): `GET /v1/quickbooks-desktop/vendor-credits/{id}`
- [Update a vendor credit](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdvendorcreditsupdate.md): `POST /v1/quickbooks-desktop/vendor-credits/{id}`
- [Delete a vendor credit](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdvendorcreditsdelete.md): `DELETE /v1/quickbooks-desktop/vendor-credits/{id}`
- [Void a vendor credit](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdvendorcreditsvoid.md): `POST /v1/quickbooks-desktop/vendor-credits/{id}/void`

## Lists

### Account tax lines

- [List account tax lines](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdaccounttaxlineslist.md): `GET /v1/quickbooks-desktop/account-tax-lines`

### Accounts

- [List accounts](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdaccountslist.md): `GET /v1/quickbooks-desktop/accounts`
- [Create an account](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdaccountscreate.md): `POST /v1/quickbooks-desktop/accounts`
- [Retrieve an account](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdaccountsretrieve.md): `GET /v1/quickbooks-desktop/accounts/{id}`
- [Update an account](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdaccountsupdate.md): `POST /v1/quickbooks-desktop/accounts/{id}`

### Classes

- [List classes](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdclasseslist.md): `GET /v1/quickbooks-desktop/classes`
- [Create a class](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdclassescreate.md): `POST /v1/quickbooks-desktop/classes`
- [Retrieve a class](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdclassesretrieve.md): `GET /v1/quickbooks-desktop/classes/{id}`
- [Update a class](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdclassesupdate.md): `POST /v1/quickbooks-desktop/classes/{id}`

### Company

- [Retrieve company information](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcompanyretrieve.md): `GET /v1/quickbooks-desktop/company`

### Currencies

- [List currencies](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcurrencieslist.md): `GET /v1/quickbooks-desktop/currencies`
- [Create a currency](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcurrenciescreate.md): `POST /v1/quickbooks-desktop/currencies`
- [Retrieve a currency](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcurrenciesretrieve.md): `GET /v1/quickbooks-desktop/currencies/{id}`
- [Update a currency](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcurrenciesupdate.md): `POST /v1/quickbooks-desktop/currencies/{id}`

### Customer types

- [List customer types](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcustomertypeslist.md): `GET /v1/quickbooks-desktop/customer-types`
- [Create a customer type](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcustomertypescreate.md): `POST /v1/quickbooks-desktop/customer-types`
- [Retrieve a customer type](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcustomertypesretrieve.md): `GET /v1/quickbooks-desktop/customer-types/{id}`

### Customers

- [List customers](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcustomerslist.md): `GET /v1/quickbooks-desktop/customers`
- [Create a customer](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcustomerscreate.md): `POST /v1/quickbooks-desktop/customers`
- [Retrieve a customer](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcustomersretrieve.md): `GET /v1/quickbooks-desktop/customers/{id}`
- [Update a customer](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdcustomersupdate.md): `POST /v1/quickbooks-desktop/customers/{id}`

### Date driven terms

- [List date-driven terms](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbddatedriventermslist.md): `GET /v1/quickbooks-desktop/date-driven-terms`
- [Create a date-driven term](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbddatedriventermscreate.md): `POST /v1/quickbooks-desktop/date-driven-terms`
- [Retrieve a date-driven term](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbddatedriventermsretrieve.md): `GET /v1/quickbooks-desktop/date-driven-terms/{id}`

### Deleted list objects

- [List deleted list objects](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbddeletedlistobjectslist.md): `GET /v1/quickbooks-desktop/deleted-list-objects`

### Employees

- [List employees](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdemployeeslist.md): `GET /v1/quickbooks-desktop/employees`
- [Create an employee](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdemployeescreate.md): `POST /v1/quickbooks-desktop/employees`
- [Retrieve an employee](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdemployeesretrieve.md): `GET /v1/quickbooks-desktop/employees/{id}`
- [Update an employee](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdemployeesupdate.md): `POST /v1/quickbooks-desktop/employees/{id}`

### Inventory sites

- [List inventory sites](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventorysiteslist.md): `GET /v1/quickbooks-desktop/inventory-sites`
- [Create an inventory site](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventorysitescreate.md): `POST /v1/quickbooks-desktop/inventory-sites`
- [Retrieve an inventory site](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventorysitesretrieve.md): `GET /v1/quickbooks-desktop/inventory-sites/{id}`
- [Update an inventory site](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventorysitesupdate.md): `POST /v1/quickbooks-desktop/inventory-sites/{id}`

### Other names

- [List other names](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdothernameslist.md): `GET /v1/quickbooks-desktop/other-names`
- [Create an other name](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdothernamescreate.md): `POST /v1/quickbooks-desktop/other-names`
- [Retrieve an other name](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdothernamesretrieve.md): `GET /v1/quickbooks-desktop/other-names/{id}`
- [Update an other name](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdothernamesupdate.md): `POST /v1/quickbooks-desktop/other-names/{id}`

### Payment methods

- [List payment methods](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpaymentmethodslist.md): `GET /v1/quickbooks-desktop/payment-methods`
- [Create a payment method](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpaymentmethodscreate.md): `POST /v1/quickbooks-desktop/payment-methods`
- [Retrieve a payment method](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpaymentmethodsretrieve.md): `GET /v1/quickbooks-desktop/payment-methods/{id}`

### Payroll wage items

- [List payroll wage items](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpayrollwageitemslist.md): `GET /v1/quickbooks-desktop/payroll-wage-items`
- [Create a payroll wage item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpayrollwageitemscreate.md): `POST /v1/quickbooks-desktop/payroll-wage-items`
- [Retrieve a payroll wage item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpayrollwageitemsretrieve.md): `GET /v1/quickbooks-desktop/payroll-wage-items/{id}`

### Preferences

- [Retrieve company preferences](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpreferencesretrieve.md): `GET /v1/quickbooks-desktop/preferences`

### Price levels

- [List price levels](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpricelevelslist.md): `GET /v1/quickbooks-desktop/price-levels`
- [Create a price level](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpricelevelscreate.md): `POST /v1/quickbooks-desktop/price-levels`
- [Retrieve a price level](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpricelevelsretrieve.md): `GET /v1/quickbooks-desktop/price-levels/{id}`
- [Update a price level](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdpricelevelsupdate.md): `POST /v1/quickbooks-desktop/price-levels/{id}`

### Sales representatives

- [List sales representatives](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalesrepresentativeslist.md): `GET /v1/quickbooks-desktop/sales-representatives`
- [Create a sales representative](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalesrepresentativescreate.md): `POST /v1/quickbooks-desktop/sales-representatives`
- [Retrieve a sales representative](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalesrepresentativesretrieve.md): `GET /v1/quickbooks-desktop/sales-representatives/{id}`
- [Update a sales representative](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalesrepresentativesupdate.md): `POST /v1/quickbooks-desktop/sales-representatives/{id}`

### Sales tax codes

- [List sales tax codes](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxcodeslist.md): `GET /v1/quickbooks-desktop/sales-tax-codes`
- [Create a sales tax code](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxcodescreate.md): `POST /v1/quickbooks-desktop/sales-tax-codes`
- [Retrieve a sales tax code](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxcodesretrieve.md): `GET /v1/quickbooks-desktop/sales-tax-codes/{id}`
- [Update a sales tax code](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxcodesupdate.md): `POST /v1/quickbooks-desktop/sales-tax-codes/{id}`

### Shipping methods

- [List shipping methods](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdshippingmethodslist.md): `GET /v1/quickbooks-desktop/shipping-methods`
- [Create a shipping method](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdshippingmethodscreate.md): `POST /v1/quickbooks-desktop/shipping-methods`
- [Retrieve a shipping method](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdshippingmethodsretrieve.md): `GET /v1/quickbooks-desktop/shipping-methods/{id}`

### Standard terms

- [List standard terms](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdstandardtermslist.md): `GET /v1/quickbooks-desktop/standard-terms`
- [Create a standard term](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdstandardtermscreate.md): `POST /v1/quickbooks-desktop/standard-terms`
- [Retrieve a standard term](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdstandardtermsretrieve.md): `GET /v1/quickbooks-desktop/standard-terms/{id}`

### Templates

- [List templates](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdtemplateslist.md): `GET /v1/quickbooks-desktop/templates`

### Unit of measure sets

- [List unit of measure sets](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdunitofmeasuresetslist.md): `GET /v1/quickbooks-desktop/unit-of-measure-sets`
- [Create an unit of measure set](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdunitofmeasuresetscreate.md): `POST /v1/quickbooks-desktop/unit-of-measure-sets`
- [Retrieve an unit of measure set](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdunitofmeasuresetsretrieve.md): `GET /v1/quickbooks-desktop/unit-of-measure-sets/{id}`

### Vendors

- [List vendors](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdvendorslist.md): `GET /v1/quickbooks-desktop/vendors`
- [Create a vendor](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdvendorscreate.md): `POST /v1/quickbooks-desktop/vendors`
- [Retrieve a vendor](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdvendorsretrieve.md): `GET /v1/quickbooks-desktop/vendors/{id}`
- [Update a vendor](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdvendorsupdate.md): `POST /v1/quickbooks-desktop/vendors/{id}`

## Items

### Discount items

- [List discount items](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbddiscountitemslist.md): `GET /v1/quickbooks-desktop/discount-items`
- [Create a discount item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbddiscountitemscreate.md): `POST /v1/quickbooks-desktop/discount-items`
- [Retrieve a discount item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbddiscountitemsretrieve.md): `GET /v1/quickbooks-desktop/discount-items/{id}`
- [Update a discount item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbddiscountitemsupdate.md): `POST /v1/quickbooks-desktop/discount-items/{id}`

### Inventory assembly items

- [List inventory assembly items](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventoryassemblyitemslist.md): `GET /v1/quickbooks-desktop/inventory-assembly-items`
- [Create an inventory assembly item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventoryassemblyitemscreate.md): `POST /v1/quickbooks-desktop/inventory-assembly-items`
- [Retrieve an inventory assembly item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventoryassemblyitemsretrieve.md): `GET /v1/quickbooks-desktop/inventory-assembly-items/{id}`
- [Update an inventory assembly item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventoryassemblyitemsupdate.md): `POST /v1/quickbooks-desktop/inventory-assembly-items/{id}`

### Inventory items

- [List inventory items](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventoryitemslist.md): `GET /v1/quickbooks-desktop/inventory-items`
- [Create an inventory item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventoryitemscreate.md): `POST /v1/quickbooks-desktop/inventory-items`
- [Retrieve an inventory item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventoryitemsretrieve.md): `GET /v1/quickbooks-desktop/inventory-items/{id}`
- [Update an inventory item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinventoryitemsupdate.md): `POST /v1/quickbooks-desktop/inventory-items/{id}`

### Item groups

- [List item groups](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbditemgroupslist.md): `GET /v1/quickbooks-desktop/item-groups`
- [Create an item group](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbditemgroupscreate.md): `POST /v1/quickbooks-desktop/item-groups`
- [Retrieve an item group](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbditemgroupsretrieve.md): `GET /v1/quickbooks-desktop/item-groups/{id}`
- [Update an item group](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbditemgroupsupdate.md): `POST /v1/quickbooks-desktop/item-groups/{id}`

### Item sites

- [List item sites](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbditemsiteslist.md): `GET /v1/quickbooks-desktop/item-sites`
- [Retrieve an item site](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbditemsitesretrieve.md): `GET /v1/quickbooks-desktop/item-sites/{id}`

### Non inventory items

- [List non-inventory items](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdnoninventoryitemslist.md): `GET /v1/quickbooks-desktop/non-inventory-items`
- [Create a non-inventory item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdnoninventoryitemscreate.md): `POST /v1/quickbooks-desktop/non-inventory-items`
- [Retrieve a non-inventory item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdnoninventoryitemsretrieve.md): `GET /v1/quickbooks-desktop/non-inventory-items/{id}`
- [Update a non-inventory item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdnoninventoryitemsupdate.md): `POST /v1/quickbooks-desktop/non-inventory-items/{id}`

### Other charge items

- [List other charge items](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdotherchargeitemslist.md): `GET /v1/quickbooks-desktop/other-charge-items`
- [Create an other charge item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdotherchargeitemscreate.md): `POST /v1/quickbooks-desktop/other-charge-items`
- [Retrieve an other charge item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdotherchargeitemsretrieve.md): `GET /v1/quickbooks-desktop/other-charge-items/{id}`
- [Update an other charge item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdotherchargeitemsupdate.md): `POST /v1/quickbooks-desktop/other-charge-items/{id}`

### Sales tax group items

- [List sales tax group items](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxgroupitemslist.md): `GET /v1/quickbooks-desktop/sales-tax-group-items`
- [Create a sales tax group item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxgroupitemscreate.md): `POST /v1/quickbooks-desktop/sales-tax-group-items`
- [Retrieve a sales tax group item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxgroupitemsretrieve.md): `GET /v1/quickbooks-desktop/sales-tax-group-items/{id}`
- [Update a sales tax group item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxgroupitemsupdate.md): `POST /v1/quickbooks-desktop/sales-tax-group-items/{id}`

### Sales tax items

- [List sales tax items](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxitemslist.md): `GET /v1/quickbooks-desktop/sales-tax-items`
- [Create a sales tax item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxitemscreate.md): `POST /v1/quickbooks-desktop/sales-tax-items`
- [Retrieve a sales tax item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxitemsretrieve.md): `GET /v1/quickbooks-desktop/sales-tax-items/{id}`
- [Update a sales tax item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsalestaxitemsupdate.md): `POST /v1/quickbooks-desktop/sales-tax-items/{id}`

### Service items

- [List service items](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdserviceitemslist.md): `GET /v1/quickbooks-desktop/service-items`
- [Create a service item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdserviceitemscreate.md): `POST /v1/quickbooks-desktop/service-items`
- [Retrieve a service item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdserviceitemsretrieve.md): `GET /v1/quickbooks-desktop/service-items/{id}`
- [Update a service item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdserviceitemsupdate.md): `POST /v1/quickbooks-desktop/service-items/{id}`

### Subtotal items

- [List subtotal items](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsubtotalitemslist.md): `GET /v1/quickbooks-desktop/subtotal-items`
- [Create a subtotal item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsubtotalitemscreate.md): `POST /v1/quickbooks-desktop/subtotal-items`
- [Retrieve a subtotal item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsubtotalitemsretrieve.md): `GET /v1/quickbooks-desktop/subtotal-items/{id}`
- [Update a subtotal item](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdsubtotalitemsupdate.md): `POST /v1/quickbooks-desktop/subtotal-items/{id}`

## Reports

### Reports

- [Run a general summary report](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdreportsgeneralsummary.md): `GET /v1/quickbooks-desktop/reports/general-summary`
- [Run a general detail report](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdreportsgeneraldetail.md): `GET /v1/quickbooks-desktop/reports/general-detail`
- [Run an aging report](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdreportsaging.md): `GET /v1/quickbooks-desktop/reports/aging`
- [Run a budget summary report](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdreportsbudgetsummary.md): `GET /v1/quickbooks-desktop/reports/budget-summary`
- [Run a job report](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdreportsjob.md): `GET /v1/quickbooks-desktop/reports/job`
- [Run a time report](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdreportstime.md): `GET /v1/quickbooks-desktop/reports/time`
- [Run a custom detail report](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdreportscustomdetail.md): `GET /v1/quickbooks-desktop/reports/custom-detail`
- [Run a custom summary report](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdreportscustomsummary.md): `GET /v1/quickbooks-desktop/reports/custom-summary`
- [Run a payroll detail report](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdreportspayrolldetail.md): `GET /v1/quickbooks-desktop/reports/payroll-detail`
- [Run a payroll summary report](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdreportspayrollsummary.md): `GET /v1/quickbooks-desktop/reports/payroll-summary`
